Name:           lxqt-sudo
Version:        0.10.0
Release:        4%{?dist}
Summary:        GUI frontend for sudo/su 

# GNU Lesser General Public License 2.1 or later
License:        LGPLv2+
URL:            https://github.com/lxde/%{name}
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# russian translation updates
Patch0:         %{url}/commit/2b8047c5c99803fdead09e4ca5e6fb09ad83d06e.patch
Patch1:         https://github.com/f2404/%{name}/commit/84a5377b7619490ee4a137b7b5af5be2c866bd1d.patch
# hr
Patch3:         https://github.com/zvacet/%{name}/commit/581081397e7732d6ad6bb99ff2c484e89e123ade.patch

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  qt5-linguist

# runtime
Requires:       sudo

%description
%{summary}.

%prep
%setup
%patch0 -p1 -b .tr_rus
%patch1 -p1 -b .tr_rus
%patch3 -p1 -b .tr_hr

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_lxqt} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#for desktop in %{buildroot}/%{_datadir}/lxqt/lxqt-panel/*.desktop; do
    # Exclude category as been Service 
#    desktop-file-edit --remove-category=LXQt --remove-only-show-in=LXQt --add-only-show-in=X-LXQt ${desktop}
#done

%find_lang %{name} --with-qt


%files -f %{name}.lang
%license LICENSE
%doc AUTHORS
%{_bindir}/lx*
%{_mandir}/man1/lx*.1*
# find_lang does not care about folders, own them explicitly
# although %%{_datadir}/lxqt/translations is owned in liblxqt
%dir %{_datadir}/lxqt/translations/%{name}

%changelog
* Thu Jan 14 2016 Helio Chissini de Castro <helio@kde.org> - 0.10.0-4
- Adapt for the new lxqt build that allows usage on epel as well (cmake3)

* Thu Jan 14 2016 Raphael Groner <projects.rg@smart.ms> - 0.10.0-3
- add BR: cmake, needed explicitly for epel7

* Sat Jan 09 2016 Raphael Groner <projects.rg@smart.ms> - 0.10.0-2
- own translations folder

* Sun Dec 20 2015 Raphael Groner <projects.rg@smart.ms> - 0.10.0-1
- initial
